Subject: New Reply Received - Worse customer service
From: Home Box <[email-masked]>
To: [email-masked]
Date: Tue, 13 Apr 2021 10:35:50 +0000

Hi Amir Aziz,  The customer has responded to the ticket.  Worse customer service  Ticket comment <div>I need this.. I wanna buy but they said wait for 3 days.. Though I understood why!  But sometimes give consideration, I took taxi to buy the carpet last time but when I arrived the price diffrent in Facebook advertise, so I came back again another taxi again and I don't like to waste my money for fare so I said I will buy something (ottoman) but not allowed bcoz display.. And one staff also rude.. I'm asking the price he told me I can't wait.. If u doubt u can check the cctv please..

Anyway  Thanks but I will never go back there..</div>  https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/2393295